/* Hero Section */

.hero-section {
    position: relative;
}

.hero-section .hero-swiper {
    height: 75vh;
    min-height: 560px;
    border-bottom-left-radius: 30px;
    border-bottom-right-radius: 30px;
    margin-top: -20px;
    overflow: hidden;
}

.hero-section .hero-swiper .swiper-slide {
    height: 100%;
    position: relative;
}

.hero-section .hero-swiper .swiper-slide .slide-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center top;
    display: block;
}

.hero-section .hero-swiper .swiper-slide .slide-content {
    position: absolute;
    z-index: 10;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    text-align: center;
    color: white;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 90%;
    max-width: 800px;
    padding: 20px;
}

.hero-section .hero-swiper .swiper-slide .slide-content h1 {
    color: var(--primary-gold);
    font-weight: 700;
    font-size: clamp(32px, 8vw, 56px);
    line-height: 1.2;
}

.hero-section .hero-swiper .swiper-slide .slide-content h2 {
    margin: 10px 0 100px;
    color: var(--dark-brown);
    font-weight: 600;
    font-size: clamp(18px, 4vw, 26px);
    line-height: 1.15;
}

.hero-section .hero-swiper .swiper-slide .slide-content .video-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 244px;
    height: 68px;
    border: 1px solid #FFF;
    gap: 10px;
    border-radius: 80px;
    color: white;
    background: rgba(255, 255, 255, 0.2);
    backdrop-filter: blur(8px);
    transition: all 0.3s ease;
    cursor: pointer;
    font-weight: 600;
    font-size: 16px;
    line-height: 100%;
    margin: 0 auto;
    text-decoration: none;
}

.hero-section .hero-swiper .swiper-slide .slide-content .video-btn:hover {
    background-color: var(--primary-gold);
    border: 0;
}

.hero-section .swiper-pagination {
    bottom: 25px!important;
}

.hero-section .hero-swiper .swiper-pagination-bullet {
    background: #fff;
    width: 6px;
    height: 6px;
    border-radius: 50%;
    opacity: 1
}

.hero-section .hero-swiper .swiper-pagination-bullet-active {
    opacity: 1;
    width: 18px;
    border-radius: 20px;
}


/* Features Section */

.featured-content {
    background: url('../images/bg-features-section.svg') no-repeat center center;
    background-size: cover;
    padding: 70px 0 40px;
    width: 100vw;
    position: relative
}

.features-section {
    margin-top: 8rem;
}

.features-section .trace {
    position: absolute;
    left: max(-73px, calc(-1 * ((100vw - 100%) / 2) + 10px));
    top: -67px;
    transform: scale(1.2);
    transform-origin: left top;
    z-index: 2;
}

.features-section .trace-2 {
    position: absolute;
    right: -143px;
    bottom: -67px;
    transform: scale(0.7);
    z-index: 9999;
}

.features-section .swiper-wrapper-container {
    position: relative;
    width: 1345px;
    margin: 0 auto;
}

.features-section .features-swiper {
    background: white;
    border-radius: 30px;
    width: 1345px;
}

.features-section .features-swiper .swiper-slide {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 40px 60px 55px 60px;
    gap: 55px;
}

.features-section .features-swiper .image-col {
    width: 500px;
    height: 261px;
}

.features-section .features-swiper .text-col {
    width: 50%;
}

.features-section .features-swiper .image-col img {
    border-radius: 30px !important;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.features-section .features-swiper .text-col .section-title {
    color: var(--dark-brown);
    font-weight: 700;
    font-size: 28px;
    line-height: 100%;
    text-transform: uppercase;
}

.features-section .features-swiper .text-col .section-text {
    font-weight: 500;
    font-size: 16px;
    line-height: 25px;
    margin-top: 30px;
    color: var(--text-dark);
    width: 572px;
}

.features-section .swiper-wrapper-container .swiper-button-next,
.features-section .swiper-wrapper-container .swiper-button-prev {
    width: 50px;
    height: 50px;
    background: #fff;
    border-radius: 50%;
    border: 1px solid #D4D2E3;
    color: #8d8ba7;
    top: 50%;
    transform: translateY(-50%);
}

.features-section .swiper-wrapper-container .swiper-button-next::after,
.features-section .swiper-wrapper-container .swiper-button-prev::after {
    font-size: 18px;
    color: #5D5A88;
}

.features-section .swiper-wrapper-container .swiper-button-prev {
    left: -25px;
}

.features-section .swiper-wrapper-container .swiper-button-next {
    right: -25px;
}

.features-section .features-swiper .swiper-pagination-bullet {
    background: #333333;
    width: 6px;
    height: 6px;
    opacity: 1;
}

.features-section .features-swiper .swiper-pagination-bullet-active {
    background: #333333;
    border-radius: 30px;
    width: 18px;
    height: 6px;
}

.features-section .features-swiper .swiper-pagination {
    text-align: left;
    left: 310px!important;
    padding-bottom: 10px;
}


/* Stories Section */

.stories-section {
    padding: 50px 0 0;
    position: relative;
}

.stories-section .trace {
    position: absolute;
    right: -30px;
    top: -75px;
    transform: scale(.85);
    z-index: 2;
}

.stories-section .container {
    max-width: 1345px;
    padding: 0;
    margin-bottom: 50px;
}

.stories-section .section-title {
    font-size: 28px;
    font-weight: 700;
    color: var(--dark-brown);
    margin-bottom: 40px;
}

.stories-section .story-cards {
    display: flex;
    flex-direction: row;
    /* justify-content: space-between; */
    justify-content: flex-start;
    gap: 50px 25px;
    width: 1295px;
    margin: 0 auto;
    flex-wrap: wrap;
}

@media (min-width: 1025px) {
    .stories-section .story-cards {
        overflow: visible;
    }
    .story-cards .swiper-wrapper {
        display: contents;
    }
    .story-cards .swiper-slide {
        width: unset !important;
    }
    .story-cards .swiper-pagination {
        display: none;
    }
}

.stories-section .story-card-link {
    text-decoration: none;
    display: block;
    color: inherit;
}

.stories-section .story-card {
    background: white;
    border: 1px solid var(--light-gray);
    border-radius: 30px;
    padding: 30px 25px;
    position: relative;
    width: 412px;
    transition: all 0.3s ease;
}

.story-card:hover {
    transform: translateY(-6px);
    box-shadow: 0 12px 24px rgba(0, 0, 0, 0.08);
}

.stories-section .story-date {
    position: absolute;
    top: -16px;
    left: 50%;
    transform: translateX(-50%);
    background: #F2EFE8;
    padding: 12px 18px;
    border-radius: 20px;
    font-weight: 600;
    font-size: 14px;
    line-height: 100%;
    min-width: 149px;
    width: fit-content;
    text-align: center;
    color: var(--dark-brown);
    white-space: nowrap;
}

.stories-section .story-title {
    color: var(--primary-gold);
    font-weight: 700;
    font-size: 20px;
    line-height: 120%;
    letter-spacing: 0px;
    width: 280px;
    margin: 10px auto 20px;
    text-align: center;
    min-height: 48px;
}

.stories-section .story-img {
    width: 100%;
    height: 300px;
    object-fit: cover;
    object-position: 65% 50%;
    border-radius: 30px;
    margin-bottom: 25px;
    display: block;
}

.stories-section .story-desc {
    font-weight: 400;
    font-size: 16px;
    line-height: 130%;
    color: var(--text-dark);
    margin-bottom: 25px;
    text-align: left;
}

.stories-section .story-link {
    font-family: "DM Sans", sans-serif;
    font-weight: 700;
    font-size: 16px;
    line-height: 18px;
    color: var(--dark-brown);
    text-decoration: none !important;
}

.stories-section .story-link:hover {
    text-decoration: underline;
}

.stories-section .stories-btn {
    background-color: var(--primary-gold);
    color: white;
    height: 46px;
    width: 204px;
    font-weight: 600;
    border-radius: 30px;
    font-size: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
    margin: 0 auto;
}

.stories-section .stories-btn:hover {
    box-shadow: 0 15px 30px rgba(168, 134, 26, 0.5);
}

@media (min-width: 1280px) and (max-width: 1400px) {
    .hero-section .hero-swiper .swiper-slide .slide-content {
        top: 40%
    }
    .hero-section .hero-swiper .swiper-slide .slide-content h2 {
        margin: 10px 0 80px;
    }
    .features-section .swiper-wrapper-container {
        width: 1200px;
    }
    .features-section .features-swiper {
        width: 1200px;
    }
    .stories-section .story-cards {
        width: 1200px;
    }
    .stories-section .story-card {
        width: 382px;
    }
}

@media (min-width: 1025px) and (max-width: 1279px) {
    .hero-section .hero-swiper {
        height: 65vh;
        min-height: 450px;
    }
    .hero-section .hero-swiper .swiper-slide .slide-content h2 {
        margin: 10px 0 60px;
    }
    .features-section .swiper-wrapper-container {
        width: 950px;
    }
    .features-section .features-swiper {
        width: 950px;
    }
    .features-section .features-swiper .swiper-slide {
        gap: 30px;
    }
    .features-section .features-swiper .image-col {
        width: 400px;
        height: auto;
        align-self: flex-start;
    }
    .features-section .features-swiper .image-col img {
        height: auto;
        max-height: 260px;
    }
    .features-section .trace {
        left: -40px;
        top: -50px;
        transform: scale(0.9);
    }
    .features-section .features-swiper .text-col .section-text {
        width: 450px;
        font-size: 16px;
    }
    .stories-section .container {
        max-width: 950px;
        padding: 0;
    }
    .stories-section .story-cards {
        width: 950px;
        gap: 50px 10px;
    }
    .stories-section .story-card {
        width: 310px;
    }
    .stories-section .trace {
        transform: scale(.7);
    }
    .stories-section .story-date {
        font-size: 12px;
    }
    .stories-section .story-title {
        font-size: 20px;
        width: 250px
    }
    .stories-section .story-img {
        height: 200px;
    }
    .stories-section .story-desc {
        font-size: 16px;
        line-height: 22px;
    }
}

@media (min-width: 768px) and (max-width: 1024px) {
    .hero-section .hero-swiper {
        height: 60vh;
        min-height: 450px;
    }
    .hero-section .hero-swiper .swiper-slide .slide-content {
        top: 40%
    }
    .hero-section .hero-swiper .swiper-slide .slide-content h2 {
        margin: 10px 0 60px;
    }
    .hero-section .hero-swiper .swiper-slide .slide-content h1 {
        font-size: 30px;
    }
    .hero-section .hero-swiper .swiper-slide .slide-content h2 {
        font-size: 16px;
        margin: 0 0 60px;
    }
    .hero-section .hero-swiper .swiper-slide .slide-content .video-btn {
        width: 200px;
        height: 50px;
        font-size: 13px;
    }
    .features-section .trace {
        left: -20px;
        top: -40px;
        transform: scale(0.7);
    }
    .features-section .trace-2 {
        right: -60px;
        transform: scale(0.5);
    }
    .features-section .swiper-wrapper-container {
        width: 750px;
    }
    .features-section .features-swiper {
        width: 750px;
    }
    .features-section .features-swiper .swiper-slide {
        gap: 30px;
    }
    .features-section .features-swiper .image-col {
        width: 350px;
        height: auto;
        align-self: flex-start;
    }
    .features-section .features-swiper .image-col img {
        height: auto;
        max-height: 260px;
    }
    .features-section .features-swiper .text-col .section-text {
        width: 350px;
        font-size: 16px;
    }
    .features-section .swiper-wrapper-container .swiper-button-prev,
    .features-section .swiper-wrapper-container .swiper-button-next {
        display: none;
    }
    .stories-section .container {
        max-width: 700px;
        padding: 0;
    }
    .stories-section .story-cards {
        width: 700px;
        justify-content: center;
        padding-top: 20px;
        height: 150vh;
    }
    .story-cards .swiper-slide {
        width: 340px!important;
    }
    .stories-section .story-card {
        width: 340px;
    }
    .stories-section .story-img {
        height: 200px;
    }
    .stories-section .trace {
        top: -95px;
        transform: scale(0.5);
        right: -108px;
    }
}

@media (max-width: 767px) {
    .hero-section .hero-swiper {
        margin-top: -30px;
        min-height: 600px;
    }
    .hero-section .hero-swiper .swiper-slide .slide-img {
        object-position: 55% center;
    }
    .hero-section .hero-swiper .swiper-slide .slide-content {
        top: 45%;
    }
    .hero-section .hero-swiper .swiper-slide .slide-content h1 {
        font-size: 36px;
        text-transform: uppercase;
    }
    .hero-section .hero-swiper .swiper-slide .slide-content h2 {
        font-size: 20px;
        line-height: 120%;
        margin-bottom: 00px;
    }
    .hero-section .hero-swiper .swiper-slide .slide-content .video-btn {
        height: 34px;
        width: fit-content;
    }

    .hero-section .hero-swiper .swiper-slide .slide-content .video-btn span{
       display: none;
    }

    .features-section .trace {
        display: none;
    }
    .featured-content {
        position: relative;
        padding: 50px 0;
        width: 100vw;
        z-index: 1;
        background: none;
    }
    .featured-content::before {
        content: "";
        position: absolute;
        top: -200px;
        left: 0;
        right: 0;
        height: calc(100% + 200px);
        background: url(../images/bg-features-section-mobile.svg) no-repeat center center;
        background-size: cover;
        z-index: -1;
    }
    .features-section .swiper-wrapper-container {
        width: 90%;
        opacity: 1;
        background-color: white;
        border-radius: 30px;
    }
    .features-section .features-swiper .swiper-slide {
        flex-direction: column;
        padding: 20px 20px 40px 20px;
        gap: 30px;
    }
    .features-section .features-swiper {
        width: 100%;
    }
    .features-section .swiper-wrapper-container .swiper-button-prev,
    .features-section .swiper-wrapper-container .swiper-button-next {
        display: none;
    }
    .features-section .features-swiper .swiper-pagination {
        text-align: center;
        left: unset !important;
    }
    .features-section .features-swiper .image-col {
        height: 277px;
        width: 100%;
    }
    .features-section .features-swiper .text-col .section-text {
        width: unset;
        font-size: 16px;
        text-align: justify;
    }
    .stories-section .trace {
        display: none;
    }
    .stories-section {
        padding: 50px 0 0;
    }
    .stories-section .section-title {
        font-size: 28px;
    }
    .stories-section .story-cards {
        width: unset;
        justify-content: center;
        flex-direction: column;
        padding-top: 40px;
        margin-top: -40px;
        padding-bottom: 60px;
    }
    .stories-section .story-card {
        width: 90%;
        margin: 0 auto;
        position: relative;
    }
    .stories-section .story-date {
        color: var(--primary-gold);
    }
    .stories-section .story-img {
        height: 325px;
    }
    .story-cards .swiper-slide {
        width: 100%!important;
        flex-shrink: 0;
    }
    .story-cards .swiper-pagination {
        display: block;
        position: absolute;
        bottom: 10px;
        left: 50%;
        transform: translateX(-50%);
        z-index: 2;
    }
    .story-cards .swiper-pagination-bullet {
        background: black;
        width: 6px;
        height: 6px;
        border-radius: 50%;
        opacity: 1
    }
    .story-cards .swiper-pagination-bullet-active {
        opacity: 1;
        width: 18px;
        border-radius: 20px;
    }
    .stories-section .stories-btn {
        margin: -30px auto 50px;
    }
}
